Home | All Classes | Grouped Classes | Index | Search

# CL_SoundBuffer_Session::add_filter

Adds the sound filter to the session. See CL_SoundFilter for details.

    	void add_filter(
    		CL_SoundFilter* filter, bool delete_filter = false);

Parameters:

filter
  Sound filter to pass sound through.
delete_filter
  If true, the filter will be deleted when removed or the session is destroyed

See also:

CL_Sound | CL_SoundBuffer_Session | CL_SoundFilter

Questions or comments, write to the ClanLib mailing list.